%define anolis_release 3
%global pypi_name cmd2

Name:             python-%{pypi_name}
Version:          2.4.2
Release:          %{anolis_release}%{?dist}
Summary:          Extra features for standard library's cmd module

License:          MIT
URL:              https://pypi.python.org/pypi/cmd2
Source0:          https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:        noarch

BuildRequires:    python3-devel python3-setuptools 
BuildRequires: 	  python3-setuptools_scm dos2unix
BuildRequires:    python3-attrs python3-pyperclip 

%description
cmd2 - quickly build feature-rich and user-friendly interactive command 
line applications in Python.

%package -n python3-cmd2
Summary:          %{summary}
Requires:         /usr/bin/which
%{?python_provide:%python_provide python3-cmd2}

%description -n python3-%{pypi_name}
cmd2 is a tool for building interactive command line applications in Python. 
Its goal is to make it quick and easy for developers to build feature-rich 
and user-friendly interactive command line applications. It provides a simple 
API which is an extension of Python's built-in cmd module. cmd2 provides a 
wealth of features on top of cmd to make your life easier and eliminates much 
of the boilerplate code which would be necessary when using cmd.

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/cmd2
%{python3_sitelib}/%{pypi_name}-%{version}*

%files -n python3-%{pypi_name}-doc 
%doc CHANGELOG.md README.md docs

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.4.2-3
- Rebuild with python3.11

* Fri Dec 22 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 2.4.2-2
- rebuild

* Wed Jun 14 2023 happy_orange <songnannan@linux.alibaba.com> - 2.4.2-1
- init package
